Subject: Re: autocrlf

From: Raimund Bauer <[email-masked]>
Date: Fri, 18 May 2007 12:34:42 +0200

On Fri, 2007-05-18 at 11:11 +0100, Andy Parkins wrote:
> Hello,
> 
> I've just been playing with gitattributes and was trying the crlf attribute.  
> The behaviour of this and/or core.autocrlf is not as I was expecting.
> 
> What I had imagined was that I could use .gitattributes to tell git which 
> files in my tree were text.  Then the line endings on checkout would be set 
> as appropriate to my platform, and on check in set to LF.
> 
> What actually happens is that any file with the crlf attribute is being 
> checked out with LF expanded to CRLF (I'm running Linux of course), which is 
> completely not what I wanted.

you need to set core.autoCrlf=input

I had the same problem some time ago ...

> Andy

-- 
best regards

  Ray